AttributePrioDataSourceIds (CMDB Model API)
Keywords: com.collation.platform.model.attributeprio.AttributePrioDataSourceIds interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.attributeprio
Interface AttributePrioDataSourceIds

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AttributePrioDataSourceIds

extends ModelObject

Naming Rules:
  0="privateName"
Persistable:
  true
Table Name:
  ATTRSRCID
Display Name:
  privateName

Method Summary
`int` | `getId()`
`java.lang.String` | `getPrivateName()`
`boolean` | `hasId()`
`boolean` | `hasPrivateName()`
`void` | `setId(int IdIn)`
`void` | `setPrivateName(java.lang.String privateName)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getId

    int getId()
              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setId

    void setId(int IdIn)

### hasId

    boolean hasId()

### getPrivateName

    java.lang.String getPrivateName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrivateName

    void setPrivateName(java.lang.String privateName)

### hasPrivateName

    boolean hasPrivateName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD